<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SmsCredentialServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.service.impl</a> &gt; <span class="el_source">SmsCredentialServiceImpl.java</span></div><h1>SmsCredentialServiceImpl.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.service.impl;

import javax.transaction.Transactional;

import com.astrapay.otp.model.SmsCredential;
import com.astrapay.otp.repository.SmsCredentialRepository;
import com.astrapay.otp.service.SmsCredentialService;

import org.springframework.stereotype.Service;

@Service(&quot;smsCredentialService&quot;)
@Transactional
public class SmsCredentialServiceImpl implements SmsCredentialService{
    private final SmsCredentialRepository smsCredentialRepository;
<span class="fc" id="L15">    public SmsCredentialServiceImpl(SmsCredentialRepository smsCredentialRepository){</span>
<span class="fc" id="L16">        this.smsCredentialRepository = smsCredentialRepository;</span>
<span class="fc" id="L17">    }</span>

    @Override
	public SmsCredential getSmsCredentialByOrganizationId(Long organizationId) {
<span class="nc" id="L21">		return smsCredentialRepository.findSmsCredentialByOrganizationId(organizationId);</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>